Draft Layer: Difference between revisions

From FreeCAD Documentation
(Scripting section.)
(Marked this version for translation)
Line 35: Line 35:
* Visual properties that can be changed that are propagated to the objects: {{PropertyView|Drawing Style}}, {{PropertyView|Line Color}}, {{PropertyView|Line Width}}, {{PropertyView|Shape Color}}, {{PropertyView|Transparency}}, and {{PropertyView|Visibility}}.
* Visual properties that can be changed that are propagated to the objects: {{PropertyView|Drawing Style}}, {{PropertyView|Line Color}}, {{PropertyView|Line Width}}, {{PropertyView|Shape Color}}, {{PropertyView|Transparency}}, and {{PropertyView|Visibility}}.


== Scripting ==
== Scripting == <!--T:12-->


<!--T:13-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:14-->
To add or remove objects from the layer, simply overwrite its {{incode|Group}} attribute.
To add or remove objects from the layer, simply overwrite its {{incode|Group}} attribute.



Revision as of 10:14, 30 April 2020


Draft Layer

Menu location
Draft → Utilities → Layer
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.19
See also
None

Description

The Draft Layer creates a special kind of group that controls the visual properties of objects placed inside of it. By changing the properties of the Layer, such as line width, line color, shape color and transparency, the changes are propagated to the objects that make use of the Layer property.

This tool replaces Draft VisGroup starting from FreeCAD 0.19.

Usage

  1. Go to the menu Draft → Utilities → Layer.
  2. Change the desired view properties of the Layer.

Properties

  • DataGroup: specifies the elements that are part of the group.
  • Visual properties that can be changed that are propagated to the objects: ViewDrawing Style, ViewLine Color, ViewLine Width, ViewShape Color, ViewTransparency, and ViewVisibility.

Scripting

See also: FreeCAD Scripting Basics.

To add or remove objects from the layer, simply overwrite its Group attribute.

group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group